


	  cfx(1)						     cfx(1)



	  NAME
	       cfx - CP/M File eXpress

	  SYNOPSIS
	       cfx [-bdinpw] [-c n] [-m	afn] [-t minutes] [files ...]

	  DESCRIPTION
	       Cfx provides convenient access to the various file archiving
	       methods presently associated with computers based on Digital
	       Research's CP/M operating system	and its	descendants.  By
	       default,	cfx steps through the target file and extracts all
	       human-readable information to the screen.  File extraction
	       is also supported as a command line option.

	       The following types of archives are supported (note that	the
	       file extents given below	are merely conventions;	cfx reads a
	       file's data to distinguish its archive type):

	       Extent  Typical archive type

	       .lbr    Novosielski library format file.	 This format is
		       similar in purpose to the familiar MS-DOS .arc and
		       .zip archives.  A set of	related	files is stored	as
		       a single	"library" for convenience and efficiency.
		       The format is comprised of a binary directory one or
		       more 128-byte CP/M records in length, followed
		       sequentially by one or more member files, also com-
		       prised of one or	more CP/M records.

	       .?q?    Squeezed	files.	Squeezed files contain Huffman-
		       encoded text or binary data.  Squeezing has gener-
		       ally been replaced more efficient compression meth-
		       ods.  The first two bytes of CP/M squeezed files	are
		       guaranteed to be	76 and FF hex, respectively.

	       .?z?    Crunched	files.	Crunching is similar to	squeezing,
		       but uses	the Lempel-Ziv-Welch algorithm,	adapted	for
		       CP/M use	by Steve Greenberg.  The first two bytes of
		       CP/M crunched files are guaranteed to be	76 and FE
		       hex, respectively.

	       .?y?    LZH-compressed files.  LZH-compression uses a combi-
		       nation of Lempel-Ziv-Welch and Huffman techniques.
		       The first two bytes of CP/M LZH files are guaranteed
		       to be 76	and FD hex, respectively.

	       Cfx will	also display non-compressed (ASCII) files.  High
	       bits are	stripped during	display, but not during	extraction,
	       so WordStar and other forms of text which store information
	       in 8-bit	form are handled reliably.

	  OPTIONS
	       -b	Brief output only.  When processing library (.lbr)



	  Rev. 1.1		       01-20-92			     Page 1





	  cfx(1)						     cfx(1)



			files, suppress	initial	directory display.

	       -c n	Monitor	COM n for carrier (MSDOS only).

	       -d	Extract	files to current disk directory.  Com-
			pressed	files are extracted to the filenames stored
			at file	compression time.  (See	option -n).

	       -i	Display	file information only.	Overrides most
			other options.

	       -m afn	Specify	a subset of library members for	processing.
			Limited	to one ambiguous or unambiguous	parameter.

	       -n	Don't uncompress library file members.	Intended
			for use	in conjunction with option -d (disk out-
			put).

	       -p	Display	file name, compression method and datestamp
			to the screen and prompt the user before processing
			each file.

	       -t minutes
			Allow only minutes time.  Intended for use on
			remote systems which limit the amount of connect
			time a caller is allowed.

	       -w	Wait for keystroke before returning control to the
			parent environment.

	  BUGS
	       Screen length fixed at 24 rows.

	       Does not	prompt before overwriting files.

	       Does not	display	embedded file datestamps.

	       Does not	restore	datestamps of output files.

	       Not yet extensively tested with nested .LBR files.

	  SEE ALSO
	       Cfx User's Manual, arc(1), unzip(1), compress(1), pack(1).

	  AUTHOR
	       Carson Wilson
	       ..!uunet!ddsw1!carson
	       carson@sputnik.uucp








	  Rev. 1.1		       01-20-92			     Page 2


